#!/usr/bin/env node
import { start, plugin, startOnline, pluginDev, isVue } from "./getArgs";
var shell = require('shelljs');
const cwd = process.cwd();

if(start){
  if(isVue){
    shell.exec(`cross-env VUE_CLI_SERVICE_CONFIG_PATH=${__dirname}/vue.config.js vue-cli-service serve`, {
      async: false,
      stdio: "inherit",
      stderr: "inherit",
    })
  }else{
    shell.exec(`node ${__dirname}/scripts/start.js`, {
      async: false,
      stdio: "inherit",
      stderr: "inherit",
    })
  }
}

if(startOnline){
  if(isVue){
    shell.exec(`cross-env VUE_APP_ONLINE_DEVELOPMENT_MODE=true VUE_CLI_SERVICE_CONFIG_PATH=${__dirname}/vue.config.js vue-cli-service serve`, {
      async: false,
      stdio: "inherit",
      stderr: "inherit",
    })
  }else{
    shell.exec(`cross-env REACT_APP_ONLINE_DEVELOPMENT_MODE=true FAST_REFRESH=false node ${__dirname}/scripts/start.js`, {
      async: false,
      stdio: "inherit",
      stderr: "inherit",
    })
  }
}

if(plugin || pluginDev){
  shell.exec(`node ${__dirname}/scripts/predev`, {
    async: false,
    stdio: "inherit",
    stderr: "inherit",
  })

  shell.exec(`node ${__dirname}/scripts/prebuild`, {
    async: false,
    stdio: "inherit",
    stderr: "inherit",
  })

  if(isVue){
    shell.exec(`cross-env VUE_CLI_SERVICE_CONFIG_PATH=${__dirname}/vue.config.js vue-cli-service build`, {
      async: false,
      stdio: "inherit",
      stderr: "inherit",
    })
  }else{
    shell.exec(`cross-env REACT_APP_NEEDSOURCEMAP=false node ${__dirname}/scripts/build.js`, {
      async: false,
      stdio: "inherit",
      stderr: "inherit",
    })
  }

  shell.exec(`node ${__dirname}/scripts/genPlugin.js --source=${pluginDev?'true':'false'}`, {
    async: false,
    stdio: "inherit",
    stderr: "inherit",
  })
}
